Package org.codehaus.groovy.binding

# Class BindPath

java.lang.Object
org.codehaus.groovy.binding.BindPath

    @Deprecated
    public class BindPath
    extends java.lang.Object

Deprecated.
The bind path object. This class represents one "step" in the bind path.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BindPath()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addAllListeners​(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)` | Deprecated. Adds all the listeners to the objects in the bind path.
  `void` | `addListeners​(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)` | Deprecated. Add listeners to a specific object.
  `TriggerBinding` | `getSyntheticTriggerBinding​(java.lang.Object newObject)` | Deprecated.
  `void` | `removeListeners()` | Deprecated. Remove listeners, believing that our bould flags are accurate and it removes only as declared.
  `void` | `updateLocalSyntheticProperties​(java.util.Map<java.lang.String,​TriggerBinding> synthetics)` | Deprecated.
  `void` | `updatePath​(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)` | Deprecated. Called when we detect a change somewhere down our path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BindPath

    public BindPath()
    Deprecated.

- ## Method Details

  - ### updatePath

    public void updatePath​(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)
    Deprecated.
    Called when we detect a change somewhere down our path. First, check to see if our object is changing. If so remove our old listener Next, update the reference object the children have and recurse Finally, add listeners if we have a different object
    Parameters:
      `listener` - This listener to attach.
      `newObject` - The object we should read our property off of.
      `updateSet` - The list of objects we have added listeners to

  - ### addAllListeners

    public void addAllListeners​(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)
    Deprecated.
    Adds all the listeners to the objects in the bind path. This assumes that we are not added as listeners to any of them, hence it is not idempotent.
    Parameters:
      `listener` - This listener to attach.
      `newObject` - The object we should read our property off of.
      `updateSet` - The list of objects we have added listeners to

  - ### addListeners

    public void addListeners​(java.beans.PropertyChangeListener listener, java.lang.Object newObject, java.util.Set updateSet)
    Deprecated.
    Add listeners to a specific object. Updates the bould flags and update set
    Parameters:
      `listener` - This listener to attach.
      `newObject` - The object we should read our property off of.
      `updateSet` - The list of objects we have added listeners to

  - ### removeListeners

    public void removeListeners()
    Deprecated.
    Remove listeners, believing that our bould flags are accurate and it removes only as declared.

  - ### updateLocalSyntheticProperties

    public void updateLocalSyntheticProperties​(java.util.Map<java.lang.String,​TriggerBinding> synthetics)
    Deprecated.

  - ### getSyntheticTriggerBinding

    public TriggerBinding getSyntheticTriggerBinding​(java.lang.Object newObject)
    Deprecated.